diff --git a/install b/install
index e2d3294bbf2477414ff5ed655e2436763f658f93..322018fed6d4267fa238bc0598425eb40562fe2e 100755
--- a/install
+++ b/install
@@ -8,6 +8,7 @@ source script/remove_old
 source script/set_mpi
 source script/conf_PETSC
 source script/update_openfpm
+source script/solve_python
 
 ### switch to the branch
 
diff --git a/script/solve_python b/script/solve_python
new file mode 100755
index 0000000000000000000000000000000000000000..95bd3eb0571973522d3d2e483f6fa3fd1f52e612
--- /dev/null
+++ b/script/solve_python
@@ -0,0 +1,23 @@
+#! /bin/bash
+
+function solve_python() {
+source script/show_solutions
+source script/discover_package_manager
+discover_package_manager $1
+pcman=$discover_package_manager_ret
+
+if [ x"$pcman" = x"" ]; then
+        exit 1
+fi
+
+if [ x"$1" = x"osx" ]; then
+        commands[0]="$pcman install autoconf"
+        possible_solutions "${commands[@]}"
+elif [ x"$1" = x"linux"  ]; then
+	pc_install_command $pcman
+        commands[0]="su -c \"$pc_install_command_ret python\""
+        commands[1]="sudo $pc_install_command_ret python"
+        possible_solutions "${commands[@]}"
+fi
+}
+